Package org.apache.sling.scripting.spi.bundle

# Interface BundledRenderUnitCapability

@ProviderType public interface BundledRenderUnitCapability
A `BundledRenderUnitCapability` encapsulates the values of a `Provided-Capability`, based on which `BundledRenderUnit`s are generated.

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getExtendedResourceType()`
Returns the resource type extended by this capability.
`@Nullable String`
`getExtension()`
Returns the extension to which a `BundledRenderUnit` described by this capability will be bound to.
`@Nullable String`
`getMethod()`
Returns the request method to which a `BundledRenderUnit` described by this capability will be bound to.
`@Nullable String`
`getPath()`
Returns the path to which a `BundledRenderUnit` described by this capability will be bound to.
`@NotNull Set<ResourceType>`
`getResourceTypes()`
Returns the resource types to which a `BundledRenderUnit` described by this capability will be bound to.
`@Nullable String`
`getScriptEngineName()`
Returns the script engine short name which can be used to evaluate the `BundledRenderUnit` described by this capability.
`@Nullable String`
`getScriptExtension()`
Returns the original's script extension that was used to generate this capability.
`@NotNull List<String>`
`getSelectors()`
Returns the selectors to which a `BundledRenderUnit` described by this capability will be bound to.

## Method Details

### getResourceTypes

@NotNull @NotNull Set<ResourceType> getResourceTypes()
Returns the resource types to which a `BundledRenderUnit` described by this capability will be bound to.

Returns:
  the resource types to which a `BundledRenderUnit` described by this capability will be bound to

### getPath

@Nullable @Nullable String getPath()
Returns the path to which a `BundledRenderUnit` described by this capability will be bound to.

Returns:
  the path to which a `BundledRenderUnit` described by this capability will be bound to; this can be `null` if the `getResourceTypes()` doesn't return an empty set

### getSelectors

@NotNull @NotNull List<String> getSelectors()
Returns the selectors to which a `BundledRenderUnit` described by this capability will be bound to.

Returns:
  the selectors to which a `BundledRenderUnit` described by this capability will be bound to

### getExtension

@Nullable @Nullable String getExtension()
Returns the extension to which a `BundledRenderUnit` described by this capability will be bound to.

Returns:
  the extension to which a `BundledRenderUnit` described by this capability will be bound to

### getExtendedResourceType

@Nullable @Nullable String getExtendedResourceType()
Returns the resource type extended by this capability.

Returns:
  the extended resource type or `null`

### getMethod

@Nullable @Nullable String getMethod()
Returns the request method to which a `BundledRenderUnit` described by this capability will be bound to.

Returns:
  the request method to which a `BundledRenderUnit` described by this capability will be bound to

### getScriptEngineName

@Nullable @Nullable String getScriptEngineName()
Returns the script engine short name which can be used to evaluate the `BundledRenderUnit` described by this capability.

Returns:
  the script engine short name which can be used to evaluate the `BundledRenderUnit` described by this capability.

### getScriptExtension

@Nullable @Nullable String getScriptExtension()
Returns the original's script extension that was used to generate this capability.

Returns:
  the original's script extension that was used to generate this capability.